Authorization Reversal

This is a reversal of an authorization without a transaction that has posted. It will hold the money from the authorization and take away money from the available balance. The next step is to release the held money from the authorization back.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Authorization Request

Use the following to build the request.

  1. ) Make a JSON object {} .
  2. ) Add and set the messageType to "0100".
  3. ) Add and set the responseCode to "00".
  4. ). Add and set the transactionType to "00".
  5. ) Add and set the referenceNumber with a valid account.
  6. ) Add and set the expirationMonth as MM.
  7. ) Add and set the expirationYear as YY.
  8. ) Add and set amountTransaction to the amount, in US Dollars, of how much the transaction will be for. example, For $2.50, type in 250.
  9. ) Add and set the unique token for access.

Authorization request example for a purchase of $24.79.

{"messageType": "0100"  
  ,"responseCode": "00"  
  , "transactionType": "00"  
  , "referenceNumber": "000000000000"
  , "expirationMonth" :"03"  
  , "expirationYear": "26"  
  , "amountTransaction": "2479"  
  , "token" : "UUID"
}

Reversal request

Reversing the authorization can be done with a reversal message.

1.) Change the messageType to 0420.

2.) Add and set the parameter authorizationIdentificationResponse to the returned authorizationIdentificationResponse value from the 0100 response.

3.) The response code should be mirrored from the responseCode (0 or 10). If the response code is not 00 or 10, then read the "Authorization Reversal" page.

Reversal request of authorization example for a purchase of $24.79

{"messageType": "0420"  
  ,"responseCode": "00"  
  , "transactionType": "00"  
  , "referenceNumber": "000000000000"
  , "expirationMonth" :"03"  
  , "expirationYear": "26"  
  , "amountTransaction": "2479"  
  , "token" : "UUID"
}
Query Params
string
required

transaction-post

string
required
Defaults to UUID
string
required

form data or JSON

string

authorization-reversal

Body Params
string
required
string
required
string
required
string
required
string
required

2 digits

string
required

2 digits

string
required
string
required
Defaults to UUID
Response

Language
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json